import { App, Plugin } from "vue";
import * as components from "./components";
import { LButton } from "./components/button";
import { registerPlugin } from "./utils/plugins";

export default {
  install(app: App, ..._options: any[]) {
    app.component('l-button', LButton);
    for (const componentKey in components) {
      registerPlugin(app, (components as any)[componentKey]);
    }

    // Will add programatic component
  },
} as Plugin;

export * from "./components";
